org.apache.cayenne.dba.sqlserver

## Class SQLServerSelectTranslator

- java.lang.Object
- - org.apache.cayenne.access.trans.QueryAssembler
  - - org.apache.cayenne.access.trans.SelectTranslator
    - - org.apache.cayenne.dba.sqlserver.SQLServerSelectTranslator

-     public class SQLServerSelectTranslator
      extends SelectTranslator

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.trans.SelectTranslator

      `UNSUPPORTED_DISTINCT_TYPES`

    - ### Fields inherited from class org.apache.cayenne.access.trans.QueryAssembler

      `adapter, attributes, connection, entityResolver, logger, parameterIndex, query, queryMetadata, values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLServerSelectTranslator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendLimitAndOffsetClauses(StringBuilder buffer)` Handles appending optional limit and offset clauses.

    - ### Methods inherited from class org.apache.cayenne.access.trans.SelectTranslator

      `appendSelectColumns, buildResultColumns, createJoinStack, createSqlString, dbRelationshipAdded, getAttributeOverrides, getCurrentAlias, getJoinStack, getResultColumns, isSuppressingDistinct, isUnsupportedForDistinct, resetJoinStack, supportsTableAliases`

    - ### Methods inherited from class org.apache.cayenne.access.trans.QueryAssembler

      `addToParamList, createStatement, getAdapter, getEntityResolver, getJdbcEventLogger, getPathAliases, getQuery, getQueryMetadata, getRootDbEntity, getRootEntity, initStatement, setAdapter, setConnection, setEntityResolver, setJdbcEventLogger, setQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLServerSelectTranslator

          public SQLServerSelectTranslator()

  - ### Method Detail

    - #### appendLimitAndOffsetClauses

          protected void appendLimitAndOffsetClauses(StringBuilder buffer)

      Description copied from class: `SelectTranslator`
      Handles appending optional limit and offset clauses. This implementation does nothing, deferring to subclasses to define the LIMIT/OFFSET clause syntax.
      Overrides:
        `appendLimitAndOffsetClauses` in class `SelectTranslator`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.